Subject: Re: Missing ANSI functions?
From: [email-masked] (Geoffrey Noer)

11 Nov 1997 16:29:47 -0800
Message-ID: <[email-masked]>
References: <01bcee57$f34545a0$ea6bc9cf@default>
Content-Type: text
To: [email-masked] (Jon & Sue Trauntvein)
Cc: [email-masked]

Jon & Sue Trauntvein wrote:
>
> I have been recently porting some code that I had originally written for =
> Visual C++. In so doing, I have come accross some functions that I =
> thought were a part of the ANSI C library but don't appear to be apart =
> of the standard library distributed with the Cygnus compiler. These =
> functions are strrev (reverse a "C" string in place) and itoa (convert a =
> signed integer to an ASCII string). Is there something that I am doing =
> wrong or are these functions trully missing?

Neither function is provided by gcc's libraries (including Cygwin32).
I can't find either in my C library books or in the POSIX spec so they're
not going to be added.

-- 
Geoffrey Noer
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".